Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Start bug or incompatibility with some package
02-03-2016, 01:29 PM (This post was last modified: 02-03-2016 01:34 PM by vita_cell.)
Post: #1
Start bug or incompatibility with some package
Hi, I can not to start my compiled game, I already searched in this forum my problem, but get the answer like: you need to update libglew

In order to view links, you must have to reply to this thread.

and my libglew is up to date (libglew1.10.0.3). After, I downgraded my version and data folder, and getting the same error.

$ svn co -r 917 In order to view links, you must have to reply to this thread. data
$ svn update -r 917

(I am on GNU with 4.3 kernel, i7-2600, gtx770 4gb, 8gb ram)(Other games work flawlessly)
So. what to do?

start log:
------------------------------------------------------
vita@GNUvita ~ $ /usr/local/bin/vdrift
INFO: Multi-processor system detected. Run with -multithreaded argument to enable multithreading (EXPERIMENTAL).
INFO: Starting VDrift: 2016-02-03-full, Revision: , O/S: Unix
INFO: Home directory: /home/vita
INFO: Settings file: /home/vita/.vdrift/VDrift.config (does not exist, will be created)
INFO: Data directory: data
DATA_DIR: /usr/local/share/games/vdrift/data
INFO: Temporary directory: /home/vita/.vdrift/tmp
INFO: Log file: /home/vita/.vdrift/log.txt
ERROR: Failed to load /home/vita/.vdrift/VDrift.config
INFO: The last VDrift startup was unsuccessful.
Settings have been set to failsafe defaults.
Your original VDrift.config file was backed up to VDrift.config.backup
INFO: Disabling antialiasing
INFO: Display change was successful: 800x600x32 16z fullscreen=0
ERROR: You don't have an NVIDIA or ATI/AMD card. This game may not run correctly or at all.
INFO: Video card information:
Vendor: nouveau
Renderer: Gallium 0.4 on NVE4
Version: 3.0 Mesa 10.5.9
Maximum texture size: 16384
Maximum varying floats: 124
Using GLEW 1.10.0
INFO: Maximum color attachments: 8
INFO: Maximum draw buffers (1 required): 8
INFO: Disabling shaders
INFO: Maximum anisotropy: 16
INFO: 1 joystick found:
INFO: 0. Microsoft Microsoft® 2.4GHz Transceiver v9.0
INFO: Loading car controls from: /home/vita/.vdrift/controls.config
INFO: Update status file /home/vita/.vdrift/updates.config will be created
INFO: Update status file /home/vita/.vdrift/updates.config will be created
INFO: Sound initialization information:
INFO: Obtained audio device:
Frequency: 44100
Format: 32784
Bits per sample: 16
Channels: 2
Silence: 0
Samples: 1024
Size: 4096
Sound initialization successful
INFO: Loaded fonts successfully
ERROR: Can't find value type "player_paints" in list of GAME values
ERROR: Error loading GUI files
ERROR: Error initializing graphical user interface
INFO: Exiting
Find all posts by this user
Quote this message in a reply
02-06-2016, 01:16 PM
Post: #2
RE: Start bug or incompatibility with some package
We have moved away from glew quite some time ago. Which version are you trying to compile?
Find all posts by this user
Quote this message in a reply
02-06-2016, 07:21 PM
Post: #3
RE: Start bug or incompatibility with some package
(02-06-2016 01:16 PM)NaN Wrote: In order to view links, you must have to reply to this thread.We have moved away from glew quite some time ago. Which version are you trying to compile?

Hi, thanks for your answer, the game compiles successfully (I think). But it is real pain to run it, I never could.

The version is this:

In order to view links, you must have to reply to this thread.

It throws some errors when trying to run, later I replaced and downgraded data folder, but when trying to run, it throws errors, not loading GUI.
Find all posts by this user
Quote this message in a reply
02-07-2016, 06:17 AM
Post: #4
RE: Start bug or incompatibility with some package
Quote:Using GLEW 1.10.0
should not appear in the log file.

Check if you have an older version installed, remove it. It might also be a good idea to delete .vdrift in your home dir.
Find all posts by this user
Quote this message in a reply
04-07-2016, 01:38 AM
Post: #5
RE: Start bug or incompatibility with some package
Should be OK with GTX 770.
Find all posts by this user
Quote this message in a reply
08-28-2016, 02:57 AM
Post: #6
RE: Start bug or incompatibility with some package
(02-07-2016 06:17 AM)NaN Wrote: In order to view links, you must have to reply to this thread.
Quote:Using GLEW 1.10.0
should not appear in the log file.

Check if you have an older version installed, remove it. It might also be a good idea to delete .vdrift in your home dir.

I did have an older version installed and I deleted it but I'm still having problems compiling.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)